petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscFECreateDefault

Create a PetscFE for basic FEM computation

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFECreateDefault(MPI_Comm comm, PetscInt dim, PetscInt Nc, PetscBool isSimplex, const char prefix[], PetscInt qorder, PetscFE *fem)

Collective

### Input Parameters

| comm | - The MPI comm
| dim | - The spatial dimension
| Nc | - The number of components
| isSimplex | - Flag for simplex reference cell, otherwise its a tensor product
| prefix | - The options prefix, or NULL
| qorder | - The quadrature order or PETSC_DETERMINE to use PetscSpace polynomial degree

### Output Parameter

fem -The PetscFE object

### See Also

PetscFECreate(), PetscSpaceCreate(), PetscDualSpaceCreate()

### Level

beginner

### Location

src/dm/dt/fe/interface/fe.c

### Examples

src/dm/field/examples/tutorials/ex1.c.html
src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex56.c.html
src/snes/examples/tutorials/ex62.c.html
src/snes/examples/tutorials/ex77.c.html
src/ts/examples/tutorials/ex48.c.html
Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages